Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Doomsday 1.9.0_beta52- fritzed input
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 300

PostPosted: Mon Nov 26, 2007 9:52 pm    Post subject: Doomsday 1.9.0_beta52- fritzed input Reply with quote

Is anyone else who has upgraded to the above version of doomsday experiencing in-game input issues (such as random pausing and the inability to change weapons?) I have run doomsday for some time without problems (other than sound issues, but thats another thread) and I've tried new .cfg files and different key mappings with no success. I'd like to know if this is unique to me or if others are experiencing it as well.

Please post here if you have this new version and are running it sans issues... thanks!
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Tue Nov 27, 2007 3:35 pm    Post subject: Reply with quote

Already known issue but... these words aren't so conforting regarding DENG's future ... 8O
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 300

PostPosted: Fri Nov 30, 2007 5:56 pm    Post subject: Reply with quote

OUCH.

Guess we'll be playing the waiting game for the time being, but it doesnt look like doomsday will ever get to a healthy state again. Hopefully a previous (working) version can be added back into portage if no progress is made on this front...
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
rbu
Retired Dev
Retired Dev


Joined: 21 Aug 2004
Posts: 59
Location: Berlin, Germany

PostPosted: Wed Dec 12, 2007 12:51 am    Post subject: Reply with quote

I hope you did not read the security bug before saying that:
http://bugs.gentoo.org/show_bug.cgi?id=190835

--rbu
Back to top
View user's profile Send private message
OldTango
Guru
Guru


Joined: 21 Feb 2004
Posts: 495

PostPosted: Fri Feb 08, 2008 5:32 pm    Post subject: Reply with quote

rbu wrote:
I hope you did not read the security bug before saying that:
http://bugs.gentoo.org/show_bug.cgi?id=190835

--rbu
I don't always understand these security and bug reports. So how do the security issues affect the game or system it is on?

When is the system at risk? All the time or only when the game is running.
Does it affect the system in NET-PLAY, Single Player mode or both?

The latest version is completely unstable and has been pulled from download servers from what I understand. Gentoo has masked this version which is a good thing because it kinda sucks and is unplayable. However there are no versions left in portage to downgrade to masked or otherwise.

TIA
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 300

PostPosted: Fri Feb 08, 2008 6:27 pm    Post subject: Reply with quote

Was just reading GLSA's Feb 6 report on the Doomsday at the top of the forums- looks like more problems have been found with it, which probably reinforces that all the previous versions were pulled from portage as well.

The future of doomsday is looking pretty bleak at this point; right now it doesn't look like anyone is working on it at all. We might be better off looking for an alternative; can anyone recommend another 3d-ified version of the doom engine?
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Fri Feb 08, 2008 6:58 pm    Post subject: Reply with quote

gr0x0rd wrote:
can anyone recommend another 3d-ified version of the doom engine?

Code:

[I] games-fps/vavoom [1]
     Available versions:  (~)1.26 {M}(~)9999 {+sdl allegro asm debug dedicated external-glbsp flac mad mikmod models music openal opengl textures tools vorbis wxwindows}
     Installed versions:  9999(21:28:36 07/02/2008)(allegro dedicated flac mad mikmod models music openal opengl textures tools wxwindows -asm -debug -sdl -vorbis)
     Homepage:            http://www.vavoom-engine.com/
     Description:         Advanced source port for Doom/Heretic/Hexen/Strife

Available in Sunrise Overlay (and maintained by me ATM)
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
rbu
Retired Dev
Retired Dev


Joined: 21 Aug 2004
Posts: 59
Location: Berlin, Germany

PostPosted: Fri Feb 08, 2008 9:04 pm    Post subject: Reply with quote

OldTango wrote:

When is the system at risk? All the time or only when the game is running.
Does it affect the system in NET-PLAY, Single Player mode or both?

The latest version is completely unstable and has been pulled from download servers from what I understand. Gentoo has masked this version which is a good thing because it kinda sucks and is unplayable. However there are no versions left in portage to downgrade to masked or otherwise.


When the game does not receive any network input, there can be no harm done. So playing in single mode should work fine, networked mode has those vulnerabilities mentioned.

You can pull the old ebuilds from sources.gentoo.org or anoncvs.gentoo.org, if you like.

--rbu
Back to top
View user's profile Send private message
OldTango
Guru
Guru


Joined: 21 Feb 2004
Posts: 495

PostPosted: Sat Feb 09, 2008 12:05 am    Post subject: Reply with quote

rbu wrote:
When the game does not receive any network input, there can be no harm done. So playing in single mode should work fine, networked mode has those vulnerabilities mentioned.

You can pull the old ebuilds from sources.gentoo.org or anoncvs.gentoo.org, if you like.
Thank you for your input.

This is what I kinda gathered from the bug report. I only play in single player mode right now. To bad Gentoo won't bring back the doomsday-1.9.0_beta4-r1 version to portage, (hard masked of course) with the warning use at own risk. That version was stable and playable. Thanks for the link to the old files. At least I can set up an overlay so I can downgrade my current x86 installs to a working version.

Some day we may have a way to play these classics in a modern engine that is stable and network multi-player safe............................... :) :)

gr0x0rd as Scen said vavoom is a good choice. It handles DOOM or ULTIMATE/DOOM, DOOM2 and HERETIC nicely. I have been having minor problems with the Plutonia and TnT wads. Vavoom seems to have real problems on my 64bit system with the Hexen Data files and I don't know why yet. Still looking into this issue. So give vavoom a try.

Thanks :) :)
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 300

PostPosted: Sun Feb 10, 2008 10:39 pm    Post subject: Reply with quote

Despite the advice of the gentoo devs and most of the people in this thread I decided to stick with doomsday... for now. :) I didn't find many resources on the board for doomsday or configuring the engine so I put together a little howto in the unsupported software section of the forum.

http://forums.gentoo.org/viewtopic-t-660017.html
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum